# Univerter

A web downloader for Youtube videos. It can be found at https://univerter.dev

Currently only supporting Youtube, and not many formats. For old Univerter, which supports a variety of sites, visit https://legacy.univerter.dev.

# Installation

## Node

### 1. Install Dependancies
Always make sure your dependencies are up to date! Univerter's dependencies may change from time to time.
- [ffmpeg](https://github.com/FFmpeg/FFmpeg)
- [node](https://github.com/nodejs/node)
- [npm](https://github.com/npm/cli)

### 2. Clone the repository

```bash
git clone https://git.viois.gay/violet/Univerter
cd Univerter
```

### 3. Download NodeJS Dependencies

```bash
npm install
```

## Starting it

```bash
npm start
```

# Environment Variables

`PORT`= [Preffered Port] (Default is port 8080)

# To-Do
- [ ] Save settings (per session)
- [ ] Advanced options menu
- [ ] Add option for subtitles to file
- [ ] Video Searching
